Hello, I just got a ZTPad Cortex A9 Quad Core 10.1" Tablet PC and I am trying to download a few apps and its saying "your device isn't compatible with this version" how do I fix this? so i can download any app?